Create Note

Use this API to add a new note to a specific resource such as a customer, account, or loan.

You must specify the resourceType, resourceId, and provide the content of the note in the request body.

Behaviour: A successful response indicates that the note was successfully created and associated with the specified resource.

Path Params
string
enum
required

The type of the resource.
Example: clients

Allowed:
integer
required
Defaults to 1234

The Identifier of the specific resource.
Example: 1234

Query Params
string
enum
required

The action command for this request.
Example: clients

Body Params

The table below outlines the parameters used for performing note actions on different resource types.
To use this API, you need to provide the resourceType and resourceId, which can be obtained from the below table.

ParameterDescriptionMandatoryData TypeExample
resourceTypeType of the resource on which the note is being added.YesStringclients
resourceIdUnique identifier of the resource.YesString1023
actionThe specific action performed on the resource.YesStringapprove

Supported actions vary based on the resource type. The table below lists the supported entities, their corresponding resource types, valid actions, and associated codes:

EntityResource TypeActionDescriptionCode
CUSTOMERclientsupdateUpdate customer information101
CUSTOMERclientsdeleteDelete a customer102
CUSTOMERclientsapproveApprove customer onboarding or update103
CUSTOMERclientsrejectReject customer details104
CUSTOMERclientsreviewReview customer information106
CUSTOMERclientsverifyVerify customer KYC107
CUSTOMERclientsofac.checkPerform OFAC check on the customer107
SAVINGS_ACCOUNTsavingsaccountreviewReview savings account106
SAVINGS_ACCOUNTsavingsaccountblockBlock the entire savings account110
SAVINGS_ACCOUNTsavingsaccountblockAmountBlock a specific amount in the account120
SAVINGS_ACCOUNTsavingsaccountcloseClose the savings account118
SAVINGS_ACCOUNTsavingsaccountsuspendTemporarily suspend account operations105
SAVINGS_ACCOUNTsavingsaccountunblockUnblock the account111
SAVINGS_ACCOUNTsavingsaccountblock.debitBlock debit transactions112
SAVINGS_ACCOUNTsavingsaccountunblock.debitUnblock debit transactions113
SAVINGS_ACCOUNTsavingsaccountblock.creditBlock credit transactions114
SAVINGS_ACCOUNTsavingsaccountunblock.creditUnblock credit transactions115
SAVINGS_ACCOUNTsavingsaccounthold.amountHold a specific amount120
SAVINGS_ACCOUNTsavingsaccountrelease.amountRelease held amount121
SAVINGS_ACCOUNTsavingsaccountwithdrawWithdraw from the account122
SAVINGS_TRANSACTIONsavingsTransactionsreviewReview a savings transaction106
LOANloansupdateUpdate loan details101
LOANloansapproveApprove a loan103
LOANloansrejectReject a loan application104
LOANloansreviewReview loan details106
LOANloanswaiveWaive loan charges116
LOANloanswriteoffWrite off the loan117
LOANloanspreclosePre-close the loan119
LOAN_TRANSACTIONloanTransactionsreviewReview a loan transaction106
CARD_AUTHORIZATIONcardauthorizationreviewReview card authorization106
string
required
Defaults to Hello world note

The note for the dispute.
Example: Hello world note

Headers
string
required

The ID of your banking instance visible in the MBANQ Console.

Response

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json